#include <Wt/WApplication>
#include <Wt/WBreak>
#include <Wt/WContainerWidget>
#include <Wt/WLineEdit>
#include <Wt/WPushButton>
#include <Wt/WText>
#include <Wt/WLabel>
#include <Wt/WMessageBox>
#include "Wt/MD5PasswordEdit.h"

using namespace Wt;

class HelloApplication : public WApplication
{
private:
    MD5PasswordEdit* md5Edit;
    void showPass(std::string pass)
    {
        WMessageBox::show(md5Edit->text(), pass, Ok);
    }

public:
    HelloApplication(const WEnvironment& env)
        : WApplication(env)
    {
        WText* passText = new WText("password");
        root()->addWidget(passText);
        md5Edit = new MD5PasswordEdit("input your password");
        root()->addWidget(md5Edit);

        root()->addWidget(new WBreak);

        WPushButton* loginButton = new WPushButton("login");
        root()->addWidget(loginButton);
        md5Edit->setListenMethod((EventSignal<WMouseEvent>&)(loginButton->clicked()),
            (WObjectMethod)(&HelloApplication::showPass), this);
    }

};

WApplication *createApplication(const WEnvironment& env)
{
    return new HelloApplication(env);
}

int main(int argc, char **argv)
{
    return WRun(argc, argv, &createApplication);
}
